org.apache.poi.hwpf.model

## Class OldTextPieceTable

- java.lang.Object
- - org.apache.poi.hwpf.model.TextPieceTable
  - - org.apache.poi.hwpf.model.OldTextPieceTable

- All Implemented Interfaces:
    CharIndexTranslator

      @Internal
      public class OldTextPieceTable
      extends TextPieceTable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.TextPieceTable

      `TextPieceTable.FCComparator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.TextPieceTable

      `_textPieces, _textPiecesFCOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldTextPieceTable()`
    `OldTextPieceTable(byte[] documentStream, byte[] tableStream, int offset, int size, int fcMin, java.nio.charset.Charset charset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getEncodingMultiplier(TextPiece textPiece)`
    `protected TextPiece` | `newTextPiece(int nodeStartChars, int nodeEndChars, byte[] buf, PieceDescriptor pd)`

    - ### Methods inherited from class org.apache.poi.hwpf.model.TextPieceTable

      `add, adjustForInsert, equals, getByteIndex, getCharIndex, getCharIndex, getCharIndexRanges, getCpMin, getText, getTextPieces, hashCode, isIndexInTable, lookIndexBackward, lookIndexForward, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldTextPieceTable

          public OldTextPieceTable()

    - #### OldTextPieceTable

          public OldTextPieceTable(byte[] documentStream,
                                   byte[] tableStream,
                                   int offset,
                                   int size,
                                   int fcMin,
                                   java.nio.charset.Charset charset)

  - ### Method Detail

    - #### newTextPiece

          protected TextPiece newTextPiece(int nodeStartChars,
                                           int nodeEndChars,
                                           byte[] buf,
                                           PieceDescriptor pd)

      Overrides:
        `newTextPiece` in class `TextPieceTable`

    - #### getEncodingMultiplier

          protected int getEncodingMultiplier(TextPiece textPiece)

      Overrides:
        `getEncodingMultiplier` in class `TextPieceTable`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.